summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--libraries/SDL_perl/SDL_perl.SlackBuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/libraries/SDL_perl/SDL_perl.SlackBuild b/libraries/SDL_perl/SDL_perl.SlackBuild
index 2cf3a39e32..f8f307e5f4 100644
--- a/libraries/SDL_perl/SDL_perl.SlackBuild
+++ b/libraries/SDL_perl/SDL_perl.SlackBuild
@@ -11,6 +11,7 @@ VERSION=1.20.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,10 +37,10 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" ./configure || exit 1
make || exit 1
-make install DESTDIR=$PKG || exit 1
+make install_vendor DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)